Name:           python-debian
Version:        0.1.49
Release:        %mkrel 1
Summary:        Python modules to work with Debian-related data formats
Group:          Development/Python
# debfile.py, arfile.py, debtags.py are release under GPL v3 or above
# everything else is GPLv2+
License:        GPLv2+ and GPLv3+
URL:            https://salsa.debian.org/python-debian-team/python-debian
Source0:        http://ftp.debian.org/debian/pool/main/p/python-debian/%{name}_%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
# tests
BuildRequires:  dpkg
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(chardet)

%description
This package provides Python modules that abstract many formats of Debian
related files. Currently handled are:
* Debtags information (debian.debtags module)
* debian/changelog (debian.changelog module)
* Packages files, pdiffs (debian.debian_support module)
* Control files of single or multiple RFC822-style paragraphs, e.g.
  debian/control, .changes, .dsc, Packages, Sources, Release, etc.
  (debian.deb822 module)
* Raw .deb and .ar files, with (read-only) access to contained
  files and meta-information

%package -n     python3-debian
Summary:        Python 3 modules to work with Debian-related data formats
Group:          Development/Python
%{?python_provide:%python_provide python3-debian}

%description -n python3-debian
This package provides Python 3 modules that abstract many formats of Debian
related files. Currently handled are:
* Debtags information (debian.debtags module)
* debian/changelog (debian.changelog module)
* Packages files, pdiffs (debian.debian_support module)
* Control files of single or multiple RFC822-style paragraphs, e.g.
  debian/control, .changes, .dsc, Packages, Sources, Release, etc.
  (debian.deb822 module)
* Raw .deb and .ar files, with (read-only) access to contained
  files and meta-information

%prep
%autosetup

sed -e 's/__CHANGELOG_VERSION__/%{version}/' < lib/debian/_version.py.in > lib/debian/_version.py

%build
%py3_build

%install
%py3_install

%files -n python3-debian
%doc README.rst HISTORY.deb822
%{python3_sitelib}/debian/
%{python3_sitelib}/debian_bundle/
%{python3_sitelib}/deb822.py*
%{python3_sitelib}/__pycache__/deb822.cpython-*.pyc
%{python3_sitelib}/python_debian-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 06 2022 daviddavid <daviddavid> 0.1.49-1.mga9
+ Revision: 1918758
- initial package python-debian (needed for reuse)

